Search Spark appointments
curl --request POST \
--url https://api.sparkserv.com/public/v1/appointments/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Dealership-Id: <dealership-id>' \
--data '
{
"limit": 50,
"cursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
'import requests
url = "https://api.sparkserv.com/public/v1/appointments/search"
payload = {
"limit": 50,
"cursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
headers = {
"Dealership-Id": "<dealership-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Dealership-Id': '<dealership-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
limit: 50,
cursor: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
startDate: '2023-12-25',
endDate: '2023-12-25'
})
};
fetch('https://api.sparkserv.com/public/v1/appointments/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sparkserv.com/public/v1/appointments/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'limit' => 50,
'cursor' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'customerId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'startDate' => '2023-12-25',
'endDate' => '2023-12-25'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Dealership-Id: <dealership-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sparkserv.com/public/v1/appointments/search"
payload := strings.NewReader("{\n \"limit\": 50,\n \"cursor\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"startDate\": \"2023-12-25\",\n \"endDate\": \"2023-12-25\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Dealership-Id", "<dealership-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sparkserv.com/public/v1/appointments/search")
.header("Dealership-Id", "<dealership-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"limit\": 50,\n \"cursor\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"startDate\": \"2023-12-25\",\n \"endDate\": \"2023-12-25\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sparkserv.com/public/v1/appointments/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Dealership-Id"] = '<dealership-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"limit\": 50,\n \"cursor\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"startDate\": \"2023-12-25\",\n \"endDate\": \"2023-12-25\"\n}"
response = http.request(request)
puts response.read_body{
"nextCursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dealership": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"status": "Pending",
"appointmentAt": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>"
},
"vehicle": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"year": 123,
"make": "<string>",
"model": "<string>",
"vin": "<string>",
"mileage": 123
},
"department": {
"id": "<string>",
"name": "<string>"
},
"advisor": {
"id": "<string>",
"name": "<string>"
},
"transport": {
"id": "<string>",
"name": "<string>"
},
"comments": "<string>",
"services": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"comments": "<string>"
}
]
}
]
}{
"statusCode": 400,
"code": "INVALID_INPUT",
"message": "Request validation failed"
}{
"statusCode": 401,
"code": "UNAUTHORIZED",
"message": "The request could not be completed"
}{
"statusCode": 403,
"code": "FORBIDDEN",
"message": "The request could not be completed"
}{
"statusCode": 404,
"code": "NOT_FOUND",
"message": "Resource not found"
}{
"statusCode": 500,
"code": "REQUEST_FAILED",
"message": "The request could not be completed"
}Appointments
Search Spark appointments
Supply a customer or date filter.
POST
/
appointments
/
search
Search Spark appointments
curl --request POST \
--url https://api.sparkserv.com/public/v1/appointments/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Dealership-Id: <dealership-id>' \
--data '
{
"limit": 50,
"cursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
'import requests
url = "https://api.sparkserv.com/public/v1/appointments/search"
payload = {
"limit": 50,
"cursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
headers = {
"Dealership-Id": "<dealership-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Dealership-Id': '<dealership-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
limit: 50,
cursor: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
startDate: '2023-12-25',
endDate: '2023-12-25'
})
};
fetch('https://api.sparkserv.com/public/v1/appointments/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sparkserv.com/public/v1/appointments/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'limit' => 50,
'cursor' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'customerId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'startDate' => '2023-12-25',
'endDate' => '2023-12-25'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Dealership-Id: <dealership-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sparkserv.com/public/v1/appointments/search"
payload := strings.NewReader("{\n \"limit\": 50,\n \"cursor\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"startDate\": \"2023-12-25\",\n \"endDate\": \"2023-12-25\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Dealership-Id", "<dealership-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sparkserv.com/public/v1/appointments/search")
.header("Dealership-Id", "<dealership-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"limit\": 50,\n \"cursor\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"startDate\": \"2023-12-25\",\n \"endDate\": \"2023-12-25\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sparkserv.com/public/v1/appointments/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Dealership-Id"] = '<dealership-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"limit\": 50,\n \"cursor\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"startDate\": \"2023-12-25\",\n \"endDate\": \"2023-12-25\"\n}"
response = http.request(request)
puts response.read_body{
"nextCursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dealership": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"status": "Pending",
"appointmentAt": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>"
},
"vehicle": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"year": 123,
"make": "<string>",
"model": "<string>",
"vin": "<string>",
"mileage": 123
},
"department": {
"id": "<string>",
"name": "<string>"
},
"advisor": {
"id": "<string>",
"name": "<string>"
},
"transport": {
"id": "<string>",
"name": "<string>"
},
"comments": "<string>",
"services": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"comments": "<string>"
}
]
}
]
}{
"statusCode": 400,
"code": "INVALID_INPUT",
"message": "Request validation failed"
}{
"statusCode": 401,
"code": "UNAUTHORIZED",
"message": "The request could not be completed"
}{
"statusCode": 403,
"code": "FORBIDDEN",
"message": "The request could not be completed"
}{
"statusCode": 404,
"code": "NOT_FOUND",
"message": "Resource not found"
}{
"statusCode": 500,
"code": "REQUEST_FAILED",
"message": "The request could not be completed"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
Supply at least one search filter. Filters may be combined.

